GriffonAddon (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## griffon.core
[Java] Interface GriffonAddon

    griffon.core.ResourceHandler
      griffon.core.ApplicationHandler
          griffon.core.GriffonAddon
              griffon.core.ThreadingHandler

All Superinterfaces:
  ResourceHandler, ApplicationHandler, ThreadingHandler

    public interface GriffonAddon
    extends ApplicationHandler, ResourceHandler, ThreadingHandler

Identifies an Addon artifact.

Authors:
  Andres Almiray

Since:
  0.9.2

Method Summary
`void` | `addonBuilderInit(GriffonApplication app, FactoryBuilderSupport builder)`
`void` | `addonBuilderPostInit(GriffonApplication app, FactoryBuilderSupport builder)`
`void` | `addonInit(GriffonApplication app)`
`void` | `addonPostInit(GriffonApplication app)`
`List` | `getAttributeDelegates()`
`Map` | `getEvents()`
`Map` | `getFactories()`
`org.slf4j.Logger` | `getLog()` Returns a Logger instance suitable for this addon.
`Map` | `getMethods()`
`Map` | `getMvcGroups()`
`List` | `getPostInstantiateDelegates()`
`List` | `getPostNodeCompletionDelegates()`
`List` | `getPreInstantiateDelegates()`
`Map` | `getProps()`
`Object` | `newInstance(Class klass, String type)`

Methods inherited from interface ResourceHandler
getResourceAsStream, getResourceAsURL, getResources

Methods inherited from interface ApplicationHandler
getApp

Methods inherited from interface ThreadingHandler
execAsync, execFuture, execFuture, execFuture, execFuture, execInsideUIAsync, execInsideUISync, execOutside, execOutsideUI, execSync, isUIThread

Method Detail

### addonBuilderInit

    public void addonBuilderInit(GriffonApplication app, FactoryBuilderSupport builder)

### addonBuilderPostInit

    public void addonBuilderPostInit(GriffonApplication app, FactoryBuilderSupport builder)

### addonInit

    public void addonInit(GriffonApplication app)

### addonPostInit

    public void addonPostInit(GriffonApplication app)

### getAttributeDelegates

    public List getAttributeDelegates()

### getEvents

    public Map getEvents()

### getFactories

    public Map getFactories()

### getLog

    public org.slf4j.Logger getLog()

  Returns a Logger instance suitable for this addon.

  Returns:
    a Logger instance associated with this artifact.

### getMethods

    public Map getMethods()

### getMvcGroups

    public Map getMvcGroups()

### getPostInstantiateDelegates

    public List getPostInstantiateDelegates()

### getPostNodeCompletionDelegates

    public List getPostNodeCompletionDelegates()

### getPreInstantiateDelegates

    public List getPreInstantiateDelegates()

### getProps

    public Map getProps()

### newInstance

    public Object newInstance(Class klass, String type)

Groovy Documentation